Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class I2DSurfaceUTangentField

    java.lang.Object
      igeo.IObject
          igeo.IAgent
              igeo.IField
                  igeo.I2DField
                      igeo.I2DSurfaceUTangentField

All Implemented Interfaces:
  I2DFieldI, IDynamics, IFieldI, ISubobject

    public class I2DSurfaceUTangentField

extends I2DField

2D vector filed defined by a NURBS surface tangent in U.

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `I2DSurfaceUTangentField.I2DSurfaceUTangentFieldGeo`

Field Summary

Fields inherited from class igeo.I2DField
`field`

Fields inherited from class igeo.IField
`targetClasses`

Fields inherited from class igeo.IAgent
`alive, duration, interactOverridden, localDynamics, parent, targets, time`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server, userData`

Constructor Summary
`I2DSurfaceUTangentField(ISurfaceI srf)`

Method Summary
`I2DSurfaceUTangentField` | `bidirectional(boolean b)` if bidirectional is on, field force vector is flipped when velocity of particle is going opposite
`I2DSurfaceUTangentField` | `constantIntensity(boolean b)` if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used
`I2DSurfaceUTangentField` | `gauss(double threshold)` alias of gaussianDecay
`I2DSurfaceUTangentField` | `gaussian(double threshold)` alias of gaussianDecay
`I2DSurfaceUTangentField` | `gaussianDecay(double threshold)` set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).
`I2DSurfaceUTangentField` | `intensity(double i)` set output intensity
`I2DSurfaceUTangentField` | `linear(double threshold)` alias of linearDecay
`I2DSurfaceUTangentField` | `linearDecay(double threshold)` set linear decay with threshold; When distance is equal to threshold, output is zero.
`I2DSurfaceUTangentField` | `noDecay()` set no decay
`I2DSurfaceUTangentField` | `threshold(double t)` set decay threshold

Methods inherited from class igeo.I2DField
`applyField, del, del, field, get, get, intensity, threshold`

Methods inherited from class igeo.IField
`clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, hide, hsb, hsb, hsb, hsb, interact, isTarget, isTargetClass, layer, name, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, show, target, target, targetClass, targetClass, weight, weight`

Methods inherited from class igeo.IAgent
`addDynamics, alive, deletDynamics, deleteDynamics, deleteDynamics, duration, duration, dynamicsNum, getDynamics, initAgent, interact, localDynamics, parent, parent, postinteract, postupdate, preinteract, preupdate, removeTarget, removeTarget, setColor, setColor, setColor, setColor, target, target, targetNum, targets, time, time, update, updateGraphic, updateTarget`

Methods inherited from class igeo.IObject
`addUserData, addUserData, alpha, alphaInt, attr, attr, attr, awtColor, blue, blueInt, castStringHashMap, clearDynamics, clearGraphics, clr, cp, createGraphic, defaultAttribute, deleteGraphic, dup, getAWTColor, getColor, getGraphic, getGraphic, getParameter, graphicsNum, gray, grayInt, green, greenInt, greyInt, initGraphic, initObject, isValid, isVisible, layer, layer, name, red, redInt, resetGraphic, server, setColor, setColor, setParameter, syncColor, syncGraphic, syncVisibility, syncWeight, userData, userData, userData, userDataNum, visible, weight`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I2DSurfaceUTangentField

    public I2DSurfaceUTangentField(ISurfaceI srf)

Method Detail

### noDecay

    public I2DSurfaceUTangentField noDecay()

  Description copied from class: `I2DField`
  set no decay

  Specified by:
    `noDecay` in interface `IFieldI`
  Overrides:
    `noDecay` in class `I2DField`

### linearDecay

    public I2DSurfaceUTangentField linearDecay(double threshold)

  Description copied from class: `I2DField`
  set linear decay with threshold; When distance is equal to threshold, output is zero.

  Specified by:
    `linearDecay` in interface `IFieldI`
  Overrides:
    `linearDecay` in class `I2DField`

### linear

    public I2DSurfaceUTangentField linear(double threshold)

  Description copied from class: `I2DField`
  alias of linearDecay

  Specified by:
    `linear` in interface `IFieldI`
  Overrides:
    `linear` in class `I2DField`

### gaussianDecay

    public I2DSurfaceUTangentField gaussianDecay(double threshold)

  Description copied from class: `I2DField`
  set Gaussian decay with threshold; Threshold is used as double of standard deviation (when distance is eqaul to threshold, output is 13.5% of original).

  Specified by:
    `gaussianDecay` in interface `IFieldI`
  Overrides:
    `gaussianDecay` in class `I2DField`

### gaussian

    public I2DSurfaceUTangentField gaussian(double threshold)

  Description copied from class: `I2DField`
  alias of gaussianDecay

  Specified by:
    `gaussian` in interface `IFieldI`
  Overrides:
    `gaussian` in class `I2DField`

### gauss

    public I2DSurfaceUTangentField gauss(double threshold)

  Description copied from interface: `IFieldI`
  alias of gaussianDecay

  Specified by:
    `gauss` in interface `IFieldI`
  Overrides:
    `gauss` in class `I2DField`

### constantIntensity

    public I2DSurfaceUTangentField constantIntensity(boolean b)

  Description copied from class: `I2DField`
  if output vector is besed on constant length (intensity) or variable depending geometry when curve or surface tangent is used

  Specified by:
    `constantIntensity` in interface `IFieldI`
  Overrides:
    `constantIntensity` in class `I2DField`

### bidirectional

    public I2DSurfaceUTangentField bidirectional(boolean b)

  if bidirectional is on, field force vector is flipped when velocity of particle is going opposite

  Specified by:
    `bidirectional` in interface `IFieldI`
  Overrides:
    `bidirectional` in class `I2DField`

### threshold

    public I2DSurfaceUTangentField threshold(double t)

  Description copied from class: `I2DField`
  set decay threshold

  Specified by:
    `threshold` in interface `IFieldI`
  Overrides:
    `threshold` in class `I2DField`

### intensity

    public I2DSurfaceUTangentField intensity(double i)

  Description copied from class: `I2DField`
  set output intensity

  Specified by:
    `intensity` in interface `IFieldI`
  Overrides:
    `intensity` in class `I2DField`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD